Skip to main content
POST
/
inbox
/
upsert-custom-fields-by-phone-number
Criar ou atualizar campos personalizados
curl --request POST \
  --url https://api.multchats.com/v2/inbox/upsert-custom-fields-by-phone-number \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phoneNumber": "<string>",
  "inputs": [
    {
      "sourceType": "TEMPLATE_FIELD",
      "templateFieldId": "<string>",
      "valueJson": "<unknown>"
    }
  ]
}
'
{
  "success": true,
  "response": {
    "customFields": "<array>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
phoneNumber
string
required

Número de telefone do contato (DDI + DDD + Número) Ex: 5511900000000

Required string length: 8 - 30
inputs
object[]
required

Lista de campos para criar ou atualizar

Minimum array length: 1

Atualizar campo de template

Response

Campos personalizados atualizados com sucesso

success
boolean

Indica se a operação foi bem-sucedida

response
object